ISPConfig 3.0.2.1 released

Discussion in 'General' started by till, Mar 22, 2010.

  1. bolek2000

    bolek2000 New Member

    Thanks, works.

    Thank you for the fast reply, I changed it and it worked well.


     
  2. jamesm

    jamesm New Member

    Upgrade order of operations question

    Just a quick question based on others experiences upgrading. We upgraded a development server fine but that was not production so i want to be cautious ... We have a multi-server configuration. Should we upgrade the non-master servers first then the master?

    Also, in testing we used the original 3.0.2 release and upgraded from 3.0.1.6 ... can we simply upgrade to 3.0.2.1 from 3.0.1.6 via the update?

    Btw: Til (and other developers) ... we are very impressed and appreciative of ISPConfig ... it is a superb control panel so thank you so much for developing and continuing to support this project.

    Thanks,
     
  3. damir

    damir New Member

    Upgrade first slaves and then master.

    Yes, you can simply update from 3.0.1.6 to 3.0.2.1
     
  4. yalex2000

    yalex2000 New Member

    Hello
    After the upgrade from 3.0.1.6 to version 3.0.2.1 ispсonfig I'm having two problems.
    1. died Amavis
    2. When mail delivery to local addresses out error:
    Compare configuration files and discovered that the line was removed from the configuration file amavis
    It killed Amavis.
    But other critical changes, I did not notice.
    What? I died all local domains.:confused:
    Help!!
     
  5. till

    till Super Moderator Staff Member ISPConfig Developer

    1) Look into the mail log, the error message is listed there. In most cases, this is a configuration problem with your hostname, so ensure that the commands:

    hostname

    and

    hostname -f return a fully qualified hostname e.g. server1.example.com and not just server1 or amavisd will not start.

    2) I guess thats not related to the ispconfig update. Looks as if you installed a maildrop update on your system and the new maildrop that you installed does not support mysql. If you search the forum for this error message, you will find a some posts about this.
     
  6. yalex2000

    yalex2000 New Member

    That's all that in mail.log
    The name of the host - all in order
    The system has not been updated, only updated ISPConfig.
    Amavis working-mail to internal mail server goes, antispam mail filtering.

    The only thing I did, it was confirmed in updating ispсonfig request to update configuration files.
    Maybe that changed in the database?
     
    Last edited: Apr 8, 2010
  7. yalex2000

    yalex2000 New Member

    Developers have on this forum?
    The second question I ask on this forum, but no response to any one of them was ...

    Weácan least in what direction dribble.

    Here are a few tests.

    Code:
    maildrop -v
    maildrop 2.0.4 Copyright 1998-2005 Double Precision, Inc.
    GDBM extensions enabled.
    Courier Authentication Library extension enabled.
    Maildir quota extension enabled.
    This program is distributed under the terms of the GNU General Public
    License. See COPYING for additional information.
    Code:
    authtest [email protected] user
    Authentication succeeded.
    
    Code:
    maildrop -V 9 -d [email protected]
    Code:
    echo "test" | authtest [email protected]
    Code:
    .mailfilter(5): LOGNAME=""
    .mailfilter(6): EXTENSION=""
    .mailfilter(7): RECIPIENT=""
    .mailfilter(8): USER=""
    .mailfilter(9): HOST=""
    .mailfilter(10): SENDER=""
    .mailfilter(11): DEFAULT="/var/vmail///."
    .mailfilter(15): Evaluating IF condition.
    .mailfilter(15): Operation on:  - logical not.
    .mailfilter(15): Operation: logical not=1
    .mailfilter(15): IF evaluated, result=1
    .mailfilter(17): USER=""
    .mailfilter(19): Evaluating IF condition.
    .mailfilter(19): Operation on:  - logical not.
    .mailfilter(19): Operation: logical not=1
    .mailfilter(19): IF evaluated, result=1
    .mailfilter(21): HOST=""
    .mailfilter(24): Evaluating IF condition.
    .mailfilter(24): Operation on:  and  - string not equal, result is 0
    .mailfilter(24): IF evaluated, result=0
    .mailfilter(29): Evaluating IF condition.
    .mailfilter(29): Operation on:  - logical not.
    .mailfilter(29): Operation: logical not=1
    .mailfilter(29): IF evaluated, result=1
    .mailfilter(31): SENDER="<>"
    maildrop: Filtering through `test -e /var/vmail/$HOST`
    .mailfilter(39): Evaluating IF condition.
    .mailfilter(39): Operation on: 0 and 0 - not equal, result is 0
    .mailfilter(39): IF evaluated, result=0
    maildrop: Filtering through `test -e /var/vmail/$HOST/$USER`
    .mailfilter(45): Evaluating IF condition.
    .mailfilter(45): Operation on: 0 and 0 - not equal, result is 0
    .mailfilter(45): IF evaluated, result=0
    maildrop: Filtering through `test -f /var/vmail/mailfilters/$HOST/$USER/.autoresponder`
    .mailfilter(54): Evaluating IF condition.
    .mailfilter(54): Operation on: 1 and 0 - equal, result is 0
    .mailfilter(54): IF evaluated, result=0
    maildrop: Filtering through `echo $SIZE >> /var/vmail/$HOST/$USER/ispconfig_mailsize`
    maildrop: Filtering through `test -f /var/vmail/mailfilters/$HOST/$USER/.mailfilter`
    .mailfilter(71): Evaluating IF condition.
    .mailfilter(71): Operation on: 1 and 0 - equal, result is 0
    .mailfilter(71): IF evaluated, result=0
    .mailfilter(77): Evaluating IF condition.
    .mailfilter(77): Operation on: /var/vmail///. and  - string not equal, result is 1
    .mailfilter(77): IF evaluated, result=1
    maildrop: Delivering to /var/vmail///.
    maildrop: Unable to open mailbox.
    
    configs checked Kompare - major changes were not found.
     
  8. till

    till Super Moderator Staff Member ISPConfig Developer

    This thread is about questions for functions of the 3.0.2.1 release. If you have problems with your installation, please make a new thread.
     
  9. warlock

    warlock Member

    upgrade from 3.0.1.6 to version 3.0.2.1 ispсonfig went fine for me too...


    awesome work guys keep it up
     
  10. gjaouen

    gjaouen New Member

    Upgrade from 3.0.1.6 > 3.0.2.1

    Hello,

    I'm running a production server under ispconfig 3.0.1.6 under centos 5.4 (without bind9 server).

    I wanna know if I can update ispconfig to 3.0.2.1 with the shell update script (ispconfig_update.sh) ?

    Do I have to stop ispconfig before starting the script ?

    Do I have to install bind9 before or the update script will manage it's installation ?

    Sorry for newbie question on this process but it's the firstime I upgrade ispconfig.

    Actually all is running well with 3.0.1.6 and I add roundcube webmail support.

    Best regards,
    Guillaume
     
  11. falko

    falko Super Moderator ISPConfig Developer

    Yes.

    No.

    I guess you currently have MyDNS installed, so there's no need to install BIND.
     
  12. dolmax

    dolmax New Member

    ISPconfig 3.0.2.1 update problem

    I'm using Perfect Server - Debian 5.0 + ISPconfig 3 manual and have noticed a couple of errors with the installation and the update script.

    1. I'm currently using Debian 5.0.4. Installation script could not verify the version and quits.
    during the update from 3.0.1.6 to 3.0.2.1. I have manually edited /tmp/ispconfig3_install/install/lib/install.lib.php line from "5.0" to "5.0.4". I believe this should be noted on the howto document.
    2. Another thing is the "update_from_tgz.sh". There's a typo-error on line 8 and 20. You should correct "fi" with "if". If you do not correct these "if" commands, you get the following error;

    Code:
    /usr/local/ispconfig/server/scripts/update_from_tgz.sh: line 8: f: command not found
    /usr/local/ispconfig/server/scripts/update_from_tgz.sh: line 9: syntax error near unexpected token `then'
    /usr/local/ispconfig/server/scripts/update_from_tgz.sh: line 9: `then'
    Correct me if I'm wrong.
     
  13. till

    till Super Moderator Staff Member ISPConfig Developer

    1) It seems as if you installed a version < 3.0.2 as editing this file is not nescessary for ISPConfig 3.0.2 and 3.0.2.1. I guess you had a copy in /tmp from a prior update of 3.0.1.6.

    2) Thats the same as with 1) This problem is not present in 3.0.2.x anymore.
     
  14. damir

    damir New Member

    Hi all,

    I need some help how to fix the following problem. I have just upgraded my Debian Lenny multiserver install from 3.0.1.6 to 3.0.2.1. First i have updated slaves and than master.

    Everything is running fine besides a following warning message, these messages show on slaves only :

    DB::query(DELETE FROM monitor_data WHERE type ='sys_log' AND created < 1273859101) -> mysql_query SELECT command denied to user 'ispcsrv3'@'mail.demo.com' for column 'type' in table 'monitor_data'

    DB::query(DELETE FROM monitor_data WHERE type ='sys_log' AND created < 1273859101) -> mysql_query SELECT command denied to user 'ispcsrv3'@'web.demo.com' for column 'type' in table 'monitor_data'

    My install is not modified in any way.
     
  15. jferrandis

    jferrandis New Member

    ssl error after update

    Hi all,

    I've done an update from 3.0.1.5 to 3.0.2.1 and when finished returns:

    Update finished.
    /usr/local/ispconfig/server/scripts/update_from_tgz.sh: line 18: syntax error near unexpected token `else'
    /usr/local/ispconfig/server/scripts/update_from_tgz.sh: line 18: `else'

    and now when I try to access to the panel, the browser show this message:

    Conexión segura fallida
    Ha ocurrido un error durante una conexión a server2.com:8080.
    SSL ha recibido un registro que excedía la longitud máxima permitida.
    (Código de error: ssl_error_rx_record_too_long)

    Anyone knows what's happening?

    Thanks a lot,
     
  16. jferrandis

    jferrandis New Member

    Not really, panel is working but...

    It occurs when I'm using https, if I use http I can access to the panel and now it's up to date, but is not a good idea to access in plain text.

    It's my first time with ISPConfig, and I have a lot of doubts... so please be patients with me.
     
  17. StrikerNL

    StrikerNL New Member

Share This Page